package com.example.mapper;

import com.example.dto.PageQueryDTO;
import com.example.entity.User;
import com.github.pagehelper.Page;
import org.apache.ibatis.annotations.Delete;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.apache.ibatis.annotations.Update;

@Mapper
public interface AdminMapper {
    /**
     * 账号分页查询
     * @param pageQueryDTO
     * @return
     */
    Page<User> page(PageQueryDTO pageQueryDTO);

    /**
     * 启用禁用账号
     * @param id
     * @param status
     */
    @Update("update teacherteam_system.user set status = #{status} where id = #{id}")
    void starOrStop(@Param("id") Long id, @Param("status") Integer status);

    /**
     * 删除老师账号
     * @param id
     */
    @Delete("delete from teacherteam_system.user where id=#{id}")
    void deleteById(Long id);
}
