package com.example.service;

import com.example.dto.PasswordDTO;
import com.example.dto.UserDTO;
import com.example.dto.UserLoginDTO;
import com.example.entity.User;
import com.example.vo.UserVO;

public interface UserService {
    /**
     * 老师登录
     * @param userLoginDTO
     * @return
     */
    User login(UserLoginDTO userLoginDTO);

    /**
     * 老师注册
     * @param userDTO
     */
    void register(UserDTO userDTO);

    /**
     * 修改密码
     * @param passwordDTO
     */
    void update(PasswordDTO passwordDTO);

    /**
     * 忘记密码
     * @param userDTO
     */
    void forget(UserDTO userDTO);

    String getRole(Long id);

    UserVO getById(Long id);
}
