package com.example.service.impl;

import com.example.dto.PageQueryDTO;
import com.example.entity.User;
import com.example.mapper.AdminMapper;
import com.example.result.PageResult;
import com.example.service.AdminService;
import com.example.service.UserService;
import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class AdminServiceImpl implements AdminService {

    @Autowired
    private AdminMapper adminMapper;

    /**
     * 账号分页查询
     *
     * @param pageQueryDTO
     * @return
     */
    @Override
    public PageResult page(PageQueryDTO pageQueryDTO) {
        PageHelper.startPage(pageQueryDTO.getPage(), pageQueryDTO.getPageSize());
        Page<User> page = adminMapper.page(pageQueryDTO);
        long total = page.getTotal();
        List<User> result = page.getResult();
        return new PageResult(total, result);
    }

    /**
     * 启用禁用账号
     *
     * @param id
     * @param status
     */
    @Override
    public void starOrStop(Long id, Integer status) {
        adminMapper.starOrStop(id, status);
    }

    /**
     * 删除老师账号
     * @param id
     */
    @Override
    public void deleteById(Long id) {
        adminMapper.deleteById(id);
    }
}
