package com.example.service.impl;

import com.example.dto.PageQueryDTO;
import com.example.entity.*;
import com.example.mapper.OpenMapper;
import com.example.result.PageResult;
import com.example.service.OpenService;
import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class OpenServiceImpl implements OpenService {

    @Autowired
    private OpenMapper openMapper;
    /**
     * 首页分页查询
     * @param pageQueryDTO
     * @return
     */
    @Override
    public PageResult page(PageQueryDTO pageQueryDTO) {
        PageHelper.startPage(pageQueryDTO.getPage(), pageQueryDTO.getPageSize());
        Page<Home> page = openMapper.page(pageQueryDTO);
        long total = page.getTotal();
        List<Home> result = page.getResult();
        return new PageResult(total, result);
    }

    /**
     * 获奖分页查询
     * @param pageQueryDTO
     * @return
     */
    @Override
    public PageResult AwardsPage(PageQueryDTO pageQueryDTO) {
        PageHelper.startPage(pageQueryDTO.getPage(), pageQueryDTO.getPageSize());
        Page<Awards> page=openMapper.AwardsPage(pageQueryDTO);
        long total = page.getTotal();
        List<Awards> result = page.getResult();
        return new PageResult(total,result);
    }
    /**
     * 著作分页查询
     * @param pageQueryDTO
     * @return
     */
    @Override
    public PageResult WorkPage(PageQueryDTO pageQueryDTO) {
        PageHelper.startPage(pageQueryDTO.getPage(), pageQueryDTO.getPageSize());
        Page<Work> page=openMapper.WorkPage(pageQueryDTO);
        long total = page.getTotal();
        List<Work> result = page.getResult();
        return new PageResult(total,result);
    }
    /**
     * 论文分页查询
     * @param pageQueryDTO
     * @return
     */
    @Override
    public PageResult ThesisPage(PageQueryDTO pageQueryDTO) {
        PageHelper.startPage(pageQueryDTO.getPage(), pageQueryDTO.getPageSize());
        Page<Thesis> page=openMapper.ThesisPage(pageQueryDTO);
        long total = page.getTotal();
        List<Thesis> result = page.getResult();
        return new PageResult(total,result);
    }
}
